<div class="example-container">

    <h1>Login</h1>
    <form (ngSubmit)="login()">
        <mat-form-field>
            <mat-label>Usuario</mat-label>
            <input matInput [(ngModel)]="usuario" [ngModelOptions]="{standalone: true}">
        </mat-form-field> 
        <br>
        <mat-form-field>
            <mat-label>Ingrese el  password</mat-label>
            <input matInput [type]="hide ? 'password' : 'text'" [(ngModel)]="password" [ngModelOptions]="{standalone: true}">
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
        </mat-form-field>
        <br>
        <button >aceptar</button>
        <p style="color:red" *ngIf="error != ''">{{this.error}}</p>
    </form>
    

</div>